Subject: Re: ./configure fails to link test program due to missing dependencies

From: Junio C Hamano <[email-masked]>
Date: Mon, 30 Sep 2024 09:31:02 -0700

Eli Schwartz <[email-masked]> writes:

> Sure. And I'm happy to (help) improve the documentation. I've already
> pushed a fix to the page Johannes linked, since it was many years out of
> date (???) and didn't reflect the fact that meson will automatically
> detect the Visual Studio toolset for you.
>
> (Note that since meson will "automatically do the right thing" here,
> that means it is practical for a plugin to run meson under the hood for
> you... much like how cmake plugins handle things.)
>
>
> As far as reading this thread goes, though, I assume that in such a
> future, people who want to build git using meson in Visual Studio would
> be optimally served by a slight reorganization to ./INSTALL to provide
> guidance on where to find meson and what plugin to use, which provides
> an additional entrypoint for clarification. :)

Yup, whenever a procedure changes, documentation to guide folks
along the procedure need to change.  Otherwise they will be lost.

And it is very good that we see people are improving the candidates
being offered that way, not just enumerating how it is superior to
the status quo (in their opinion) once adopted, but making sure it
would not inconvenience or alienate existing users who are used to
the way proposed for deprecation.